package com.ruoyi.nanjing.domain;

import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 托盘管理对象 T_RP_WorkTrayRealTimeInfo
 * 
 * @author limy
 * @date 2021-01-28
 */
public class TRpWorktrayrealtimeinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 托盘条码 */
    @Excel(name = "托盘条码")
    private String rfidNum;

    /** 系统条码 */
    @Excel(name = "系统条码")
    private String barCode;

    /** 产线条码 */
//    @Excel(name = "产线条码")
    private String semiBarcode;

    /** 当前工位 */
    private String currentStation;

    /** 质量品级 */
//    @Excel(name = "质量品级(1合格，2不合格)")
    private Long state;

    /** 使用状态 */
//    @Excel(name = "使用状态")
    private Long usedFlag;

    /** 更新时间 */
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateTime;

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /** 添加时间 */
//    @Excel(name = "添加时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date insertTime;

    /** 停用时间 */
//    @Excel(name = "停用时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deleteTime;

    private String StationCode;

    public String getStationCode() {
        return StationCode;
    }

    public void setStationCode(String stationCode) {
        StationCode = stationCode;
    }

    @Excel(name = "部件码")
    private String productCode;

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private TRpBarcoderelationship barcoderelationship;

    public TRpBarcoderelationship getBarcoderelationship() {
        return barcoderelationship;
    }

    public void setBarcoderelationship(TRpBarcoderelationship barcoderelationship) {
        this.barcoderelationship = barcoderelationship;
    }

    public void setRfidNum(String rfidNum)
    {
        this.rfidNum = rfidNum;
    }

    public String getRfidNum()
    {
        return rfidNum;
    }
    public void setBarCode(String barCode) 
    {
        this.barCode = barCode;
    }

    public String getBarCode() 
    {
        return barCode;
    }
    public void setSemiBarcode(String semiBarcode)
    {
        this.semiBarcode = semiBarcode;
    }

    public String getSemiBarcode()
    {
        return semiBarcode;
    }
    public void setCurrentStation(String currentStation) 
    {
        this.currentStation = currentStation;
    }

    public String getCurrentStation() 
    {
        return currentStation;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setUsedFlag(Long usedFlag) 
    {
        this.usedFlag = usedFlag;
    }

    public Long getUsedFlag() 
    {
        return usedFlag;
    }
    public void setInsertTime(Date insertTime) 
    {
        this.insertTime = insertTime;
    }

    public Date getInsertTime() 
    {
        return insertTime;
    }
    public void setDeleteTime(Date deleteTime) 
    {
        this.deleteTime = deleteTime;
    }

    public Date getDeleteTime() 
    {
        return deleteTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("rfidNum", getRfidNum())
            .append("barCode", getBarCode())
            .append("semiBarcode", getSemiBarcode())
            .append("currentStation", getCurrentStation())
            .append("state", getState())
            .append("updateTime", getUpdateTime())
            .append("usedFlag", getUsedFlag())
            .append("insertTime", getInsertTime())
            .append("deleteTime", getDeleteTime())
            .toString();
    }
}
